src/utils.cpp(3)

NAME
src/utils.cpp - Implementation of the utils.

SYNOPSIS

#include 'utils.hpp'

  Functions
std::string scientific_format (double d, int width, int prec)
Turns a double into a string written in scientific format.
std::string scientific_format (const std::vector< double > &v, int width, int prec)
Turns a vector of doubles into a string written in scientific format.

Detailed Description

Implementation of the utils.

Author
    Cory Alexander Balaton (coryab)

    Janita Ovidie Sandtrøen Willumsen (janitaws)

Version
    1.0

Bug
    No known bugs

Definition in file utils.cpp.

Function Documentation

  std::string scientific_format (const std::vector< double > & v, int width = 20, int prec = 10)

Turns a vector of doubles into a string written in scientific format.

Parameters
    v The vector to stringify
    width The reserved width of the string
    prec The precision of the stringified number

Returns
    String

Definition at line 21 of file utils.cpp.

  std::string scientific_format (double d, int width = 20, int prec = 10)

Turns a double into a string written in scientific format. Code stolen from https://github.com/anderkve/FYS3150 Header: https://github.com/anderkve/FYS3150/blob/master/code_examples/compilation_linking/example_1/include/utils.hpp Source: https://github.com/anderkve/FYS3150/blob/master/code_examples/compilation_linking/example_1/src/utils.cpp

Parameters
    d The number to stringify
    width The reserved width of the string
    prec The precision of the stringified number

Returns
    String

Definition at line 14 of file utils.cpp.

Author

Generated automatically by Doxygen for Penning Trap Simulation from the source code.